%define pypi_name   pygithub
%define pkg_name   pygithub

Name:           python-%{pkg_name}
Version:        2.4.0
Release:        %mkrel 1
Summary:        Python library to use the Github API v3
Group:          Development/Python
License:        LGPLv3+
URL:            https://pypi.org/project/PyGithub/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
PyGithub is a Python library to use the Github API v3. With it, you can manage your Github
resources (repositories, user profiles, organizations, etc.) from Python scripts.

%package -n     python3-%{pkg_name}
Summary:        Python3 library to use the Github API v3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-pygithub}

%description -n python3-%{pkg_name}
PyGithub is a Python library to use the Github API v3. With it, you can manage your Github
resources (repositories, user profiles, organizations, etc.) from Python scripts.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files github

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.md


%changelog
* Sat Sep 14 2024 papoteur <papoteur> 2.4.0-1.mga10
+ Revision: 2096542
- new version 2.4.0

* Sat Feb 24 2024 daviddavid <daviddavid> 2.2.0-1.mga10
+ Revision: 2043875
- new version: 2.2.0
- switch to pyproject

* Sat Feb 24 2024 daviddavid <daviddavid> 1.55-3.mga10
+ Revision: 2043874
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.55-2.mga9
+ Revision: 1823440
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.55-1.mga9
+ Revision: 1783188
- version 1.55
- rebuild for python-3.10

* Fri Mar 26 2021 ovitters <ovitters> 1.54.1-2.mga9
+ Revision: 1710491
- rebuild for Python 3.9

* Tue Mar 23 2021 guillomovitch <guillomovitch> 1.54.1-1.mga9
+ Revision: 1708481
- new version 1.54.1

* Sun Mar 29 2020 wally <wally> 1.47-1.mga8
+ Revision: 1562248
- new version 1.47

* Sun Feb 16 2020 umeabot <umeabot> 1.43.8-2.mga8
+ Revision: 1530976
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 1.43.8-1.mga8
+ Revision: 1438142
- new version 1.43.8
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 1.27.1-4.mga7
+ Revision: 1349455
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.27.1-3.mga7
+ Revision: 1289780
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 tv <tv> 1.27.1-2.mga7
+ Revision: 1134671
- rebuild for new python

* Thu Aug 18 2016 ngompa <ngompa> 1.27.1-1.mga6
+ Revision: 1046767
- Update to 1.27.1, spec update thanks to proyvind

* Thu Jun 30 2016 shlomif <shlomif> 1.26.0-2.mga6
+ Revision: 1038256
- Fix a bug in pygithub - patch by proyvind was accepted by upstream.

* Tue Feb 02 2016 daviddavid <daviddavid> 1.26.0-1.mga6
+ Revision: 931494
- new version: 1.26.0
- add python3 package
- use new python macros
- fix license

* Tue Feb 02 2016 umeabot <umeabot> 1.17.0-8.mga6
+ Revision: 931294
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.17.0-7.mga5
+ Revision: 745837
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.17.0-6.mga5
+ Revision: 729457
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.17.0-5.mga5
+ Revision: 688255
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.17.0-3.mga4
+ Revision: 544012
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.17.0-2.mga4
+ Revision: 499209
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 1.17.0-1.mga4
+ Revision: 468894
- imported package python-pygithub

